> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get retrieves the organization-level notification settings, including per-channel preferences and admin-locked defaults.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/notifications/org
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/notifications/org:
    get:
      tags:
        - Org Notification Settings
      summary: Get
      description: >-
        Get retrieves the organization-level notification settings, including
        per-channel preferences and admin-locked defaults.
      operationId: c1.api.settings.v1.OrgNotificationSettingsService.Get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.GetOrgNotificationSettingsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.OrgNotificationSettings.Get(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetOrgNotificationSettingsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.orgNotificationSettings.get();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.GetOrgNotificationSettingsResponse:
      description: The GetOrgNotificationSettingsResponse message.
      properties:
        orgNotificationSettings:
          $ref: '#/components/schemas/c1.api.settings.v1.OrgNotificationSettings'
      title: Get Org Notification Settings Response
      type: object
      x-speakeasy-name-override: GetOrgNotificationSettingsResponse
    c1.api.settings.v1.OrgNotificationSettings:
      description: >-
        OrgNotificationSettings contains organization-wide notification channel
        configurations and default preferences.
      properties:
        channelSettings:
          $ref: '#/components/schemas/c1.api.settings.v1.ChannelSettings'
      title: Org Notification Settings
      type: object
      x-speakeasy-name-override: OrgNotificationSettings
    c1.api.settings.v1.ChannelSettings:
      description: >-
        ChannelSettings groups notification preferences for all supported
        channels.
      properties:
        email:
          $ref: '#/components/schemas/c1.api.settings.v1.EmailChannelSettings'
        slack:
          $ref: '#/components/schemas/c1.api.settings.v1.SlackChannelSettings'
        teams:
          $ref: '#/components/schemas/c1.api.settings.v1.MSTeamsChannelSettings'
      title: Channel Settings
      type: object
      x-speakeasy-name-override: ChannelSettings
    c1.api.settings.v1.EmailChannelSettings:
      description: The EmailChannelSettings message.
      properties:
        accessProvisioned:
          $ref: '#/components/schemas/c1.api.settings.v1.AccessProvisionedPreference'
        approvalNeeded:
          $ref: '#/components/schemas/c1.api.settings.v1.ApprovalNeededPreference'
        commentOnRequest:
          $ref: '#/components/schemas/c1.api.settings.v1.CommentOnRequestPreference'
        completion:
          $ref: '#/components/schemas/c1.api.settings.v1.CompletionPreference'
        connectorIssues:
          $ref: '#/components/schemas/c1.api.settings.v1.ConnectorIssuesPreference'
        digest:
          $ref: '#/components/schemas/c1.api.settings.v1.DigestPreference'
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        expiringAccess:
          $ref: '#/components/schemas/c1.api.settings.v1.ExpiringAccessPreference'
        provisioningRequest:
          $ref: >-
            #/components/schemas/c1.api.settings.v1.ProvisioningRequestPreference
        reviews:
          $ref: '#/components/schemas/c1.api.settings.v1.ReviewsPreference'
        taskReminders:
          $ref: '#/components/schemas/c1.api.settings.v1.TaskRemindersPreference'
      title: Email Channel Settings
      type: object
      x-speakeasy-name-override: EmailChannelSettings
    c1.api.settings.v1.SlackChannelSettings:
      description: The SlackChannelSettings message.
      properties:
        accessProvisioned:
          $ref: '#/components/schemas/c1.api.settings.v1.AccessProvisionedPreference'
        approvalNeeded:
          $ref: '#/components/schemas/c1.api.settings.v1.ApprovalNeededPreference'
        commentOnRequest:
          $ref: '#/components/schemas/c1.api.settings.v1.CommentOnRequestPreference'
        completion:
          $ref: '#/components/schemas/c1.api.settings.v1.CompletionPreference'
        connectorIssues:
          $ref: '#/components/schemas/c1.api.settings.v1.ConnectorIssuesPreference'
        digest:
          $ref: '#/components/schemas/c1.api.settings.v1.DigestPreference'
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        expiringAccess:
          $ref: '#/components/schemas/c1.api.settings.v1.ExpiringAccessPreference'
        isConfigured:
          description: The isConfigured field.
          readOnly: false
          type: boolean
        provisioningRequest:
          $ref: >-
            #/components/schemas/c1.api.settings.v1.ProvisioningRequestPreference
        reviews:
          $ref: '#/components/schemas/c1.api.settings.v1.ReviewsPreference'
        taskReminders:
          $ref: '#/components/schemas/c1.api.settings.v1.TaskRemindersPreference'
      title: Slack Channel Settings
      type: object
      x-speakeasy-name-override: SlackChannelSettings
    c1.api.settings.v1.MSTeamsChannelSettings:
      description: The MSTeamsChannelSettings message.
      properties:
        accessProvisioned:
          $ref: '#/components/schemas/c1.api.settings.v1.AccessProvisionedPreference'
        approvalNeeded:
          $ref: '#/components/schemas/c1.api.settings.v1.ApprovalNeededPreference'
        commentOnRequest:
          $ref: '#/components/schemas/c1.api.settings.v1.CommentOnRequestPreference'
        completion:
          $ref: '#/components/schemas/c1.api.settings.v1.CompletionPreference'
        connectorIssues:
          $ref: '#/components/schemas/c1.api.settings.v1.ConnectorIssuesPreference'
        digest:
          $ref: '#/components/schemas/c1.api.settings.v1.DigestPreference'
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        expiringAccess:
          $ref: '#/components/schemas/c1.api.settings.v1.ExpiringAccessPreference'
        isConfigured:
          description: The isConfigured field.
          readOnly: false
          type: boolean
        provisioningRequest:
          $ref: >-
            #/components/schemas/c1.api.settings.v1.ProvisioningRequestPreference
        reviews:
          $ref: '#/components/schemas/c1.api.settings.v1.ReviewsPreference'
        taskReminders:
          $ref: '#/components/schemas/c1.api.settings.v1.TaskRemindersPreference'
      title: Ms Teams Channel Settings
      type: object
      x-speakeasy-name-override: MSTeamsChannelSettings
    c1.api.settings.v1.AccessProvisionedPreference:
      description: The AccessProvisionedPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Access Provisioned Preference
      type: object
      x-speakeasy-name-override: AccessProvisionedPreference
    c1.api.settings.v1.ApprovalNeededPreference:
      description: The ApprovalNeededPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Approval Needed Preference
      type: object
      x-speakeasy-name-override: ApprovalNeededPreference
    c1.api.settings.v1.CommentOnRequestPreference:
      description: The CommentOnRequestPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Comment On Request Preference
      type: object
      x-speakeasy-name-override: CommentOnRequestPreference
    c1.api.settings.v1.CompletionPreference:
      description: The CompletionPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Completion Preference
      type: object
      x-speakeasy-name-override: CompletionPreference
    c1.api.settings.v1.ConnectorIssuesPreference:
      description: The ConnectorIssuesPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Connector Issues Preference
      type: object
      x-speakeasy-name-override: ConnectorIssuesPreference
    c1.api.settings.v1.DigestPreference:
      description: >-
        DigestPreference controls whether summary digest notifications are sent
        and how often.
      properties:
        dayOfWeek:
          description: The day of the week to send weekly digests.
          enum:
            - WEEKDAY_UNSPECIFIED
            - WEEKDAY_MONDAY
            - WEEKDAY_TUESDAY
            - WEEKDAY_WEDNESDAY
            - WEEKDAY_THURSDAY
            - WEEKDAY_FRIDAY
            - WEEKDAY_SATURDAY
            - WEEKDAY_SUNDAY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        enabled:
          description: Whether digest notifications are enabled.
          readOnly: false
          type: boolean
        frequency:
          description: How often digest notifications are sent.
          enum:
            - DIGEST_FREQUENCY_UNSPECIFIED
            - DIGEST_FREQUENCY_DAILY
            - DIGEST_FREQUENCY_WEEKLY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        locked:
          description: >-
            Whether this preference is locked by org-level settings, preventing
            users from overriding it.
          readOnly: false
          type: boolean
      title: Digest Preference
      type: object
      x-speakeasy-name-override: DigestPreference
    c1.api.settings.v1.ExpiringAccessPreference:
      description: The ExpiringAccessPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Expiring Access Preference
      type: object
      x-speakeasy-name-override: ExpiringAccessPreference
    c1.api.settings.v1.ProvisioningRequestPreference:
      description: The ProvisioningRequestPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Provisioning Request Preference
      type: object
      x-speakeasy-name-override: ProvisioningRequestPreference
    c1.api.settings.v1.ReviewsPreference:
      description: The ReviewsPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Reviews Preference
      type: object
      x-speakeasy-name-override: ReviewsPreference
    c1.api.settings.v1.TaskRemindersPreference:
      description: The TaskRemindersPreference message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        locked:
          description: The locked field.
          readOnly: false
          type: boolean
      title: Task Reminders Preference
      type: object
      x-speakeasy-name-override: TaskRemindersPreference
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````